
jQuery(function() {
    $('.ldcorreios-mask-cep').mask('99999-999');
});


$(document).ready(function(){

    var cepAtual = $('#ldcorreios_cep_adic_carrinho').val();

    if (typeof cepAtual != 'undefined') {
        cepAtual = cepAtual.replace(/[^0-9]/g,'');

        if (cepAtual.length == 8) {

            var linkAtual = $('#ldcorreios_link_cep_adic_carrinho').attr('href');
            var novoLink = linkAtual + '&cep=' + cepAtual;

            $('#ldcorreios_link_cep_adic_carrinho').attr('href', novoLink);

        }
    }

});

function ldcorreios_enviar_produto()
{
   $('#ldcorreios_resultado_frete').hide();
   var baseUri = $('#ldcorreios_simulador_url').val();
   var id_product = $('#ldcorreios_id_product').val();
   var cep = $('#ldcorreios_cep').val();
   $('#ldcorreios_carregando').show();

   if(baseUri.indexOf("?") == -1)
   {
        url_req = baseUri + '?rand=' + new Date().getTime();
   }
   else
   {
        url_req = baseUri + '&rand=' + new Date().getTime();
   }

   $.ajax({
    type: 'POST',
    headers: { "cache-control": "no-cache" },
    url: url_req,
    async: true,
    cache: false,
    dataType : "html",
    data: 'cep='+cep+'&id_product='+id_product+'&origem=produto',
    success: function(retorno)
    {
      $('#ldcorreios_carregando').hide();
      $('#ldcorreios_resultado_frete').html(retorno);
      $('#ldcorreios_resultado_frete').show();
    }
  });
}

function ldcorreios_enviar_carrinho()
{
  $('#ldcorreios_lista_frete').hide();
   var baseUri = $('#ldcorreios_simulador_url').val();
   //var id_product = $('#ldcorreios_id_product').val();
   var cep = $('#ldcorreios_cep').val();
   $('#ldcorreios_carregando').show();

   if(baseUri.indexOf("?") == -1)
   {
        url_req = baseUri + '?rand=' + new Date().getTime();
   }
   else
   {
        url_req = baseUri + '&rand=' + new Date().getTime();
   }

   $.ajax({
    type: 'POST',
    headers: { "cache-control": "no-cache" },
    url: url_req,
    async: true,
    cache: false,
    dataType : "html",
    data: 'cep='+cep+'&origem=carrinho',
    success: function(retorno)
    {
      $('#ldcorreios_carregando').hide();
      $('#ldcorreios_lista_frete').html(retorno);
      $('#ldcorreios_lista_frete').show();
    }
  });

}

jQuery(document).ready(function(){

    jQuery(document).on('keyup', 'input[name=ldcorreios_cep_adic_carrinho]', function(e) {

        var cep = jQuery(this).val();

        if (typeof cep != 'undefined') {
            cep = cep.replace(/[^0-9]/g, '');

            if (cep.length == 8) {

                var linkAtual = jQuery('#ldcorreios_link_cep_adic_carrinho').attr('href');
                var novoLink = linkAtual + '&cep=' + cep;

                jQuery('#ldcorreios_link_cep_adic_carrinho').attr('href', novoLink);

            }
        }
    });

});



